Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LogInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.ejb.plugins.LogInterceptor

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerPlugin, Interceptor, org.jboss.system.Service

public class LogInterceptor
extends AbstractInterceptor

An interceptor used to log all invocations. It also handles any unexpected exceptions.

Version:
  $Revision: 1.33.4.2 $
Author:
  Rickard �berg, Scott Stark, Dain Sundstrom, Ole Husgaard

Field Summary
`protected boolean` | `callLogging`
`protected String` | `ejbName`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`LogInterceptor()`

Method Summary
`void` | `create()`
`Object` | `invoke(Invocation invocation)` This method logs the method, calls the next invoker, and handles any exception.
`Object` | `invokeHome(Invocation invocation)` This method logs the method, calls the next invoker, and handles any exception.

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getContainer, getNext, setContainer, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ejbName

    protected String ejbName

### callLogging

    protected boolean callLogging

Constructor Detail

### LogInterceptor

    public LogInterceptor()

Method Detail

### create

    public void create()
                throws Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Overrides:
    `create` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invokeHome

    public Object invokeHome(Invocation invocation)
                      throws Exception

  This method logs the method, calls the next invoker, and handles any exception.

  Specified by:
    `invokeHome` in interface `Interceptor`
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Parameters:
    `invocation` - contain all infomation necessary to carry out the invocation
  Returns:
    the return value of the invocation
  Throws:
    `Exception` - if an exception during the invocation

### invoke

    public Object invoke(Invocation invocation)
                  throws Exception

  This method logs the method, calls the next invoker, and handles any exception.

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Parameters:
    `invocation` - contain all infomation necessary to carry out the invocation
  Returns:
    the return value of the invocation
  Throws:
    `Exception` - if an exception during the invocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.